Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.event.impl
Class JavaClassWidgetListenerBuilder

    java.lang.Object
      org.apache.cocoon.forms.event.impl.JavaClassWidgetListenerBuilder

All Implemented Interfaces:
  BeanFactoryAware, WidgetListenerBuilder

public class JavaClassWidgetListenerBuilder
extends Object
implements WidgetListenerBuilder, BeanFactoryAware

A `WidgetListenerBuilder` that uses Spring beans.

The syntax for this listener is as follows :

       <java ref="spring-bean-id">
         ...
       </java>

The `Element` node denoted by upper snippet is passed to the bean at a method configure(Element e) if it exists.

Version:
  $Id: JavaClassWidgetListenerBuilder.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from interface org.apache.cocoon.forms.event.WidgetListenerBuilder
`ROLE`

Constructor Summary
`JavaClassWidgetListenerBuilder()`

Method Summary
`WidgetListener` | `buildListener(Element element, Class listenerClass)`
`void` | `setBeanFactory(BeanFactory beanFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaClassWidgetListenerBuilder

    public JavaClassWidgetListenerBuilder()

Method Detail

### setBeanFactory

    public void setBeanFactory(BeanFactory beanFactory)
                        throws BeansException

  Specified by:
    `setBeanFactory` in interface `BeanFactoryAware`
  Throws:
    `BeansException`

### buildListener

    public WidgetListener buildListener(Element element,
                                        Class listenerClass)
                                 throws Exception

  Specified by:
    `buildListener` in interface `WidgetListenerBuilder`
  Throws:
    `Exception`
  See Also:
    `WidgetListenerBuilder.buildListener(org.w3c.dom.Element, java.lang.Class)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.